
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSVehicleVariantType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSVehicleVariantType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DriveType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="DriveTypeID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="DriveCodeOM" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Weight" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="Wheelbase" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="OverallLength" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="OverallHeight" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="OverallWidth" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="Payload" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="WheelbasePlus" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="FrontTyres" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="RearTyres" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="SuspensionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSVehicleVariantType", propOrder = {
    "driveType",
    "driveTypeID",
    "driveCodeOM",
    "weight",
    "wheelbase",
    "overallLength",
    "overallHeight",
    "overallWidth",
    "payload",
    "wheelbasePlus",
    "frontTyres",
    "rearTyres",
    "suspensionType"
})
public class WSVehicleVariantType {

    @XmlElement(name = "DriveType", nillable = true)
    protected String driveType;
    @XmlElement(name = "DriveTypeID", nillable = true)
    protected String driveTypeID;
    @XmlElement(name = "DriveCodeOM", nillable = true)
    protected String driveCodeOM;
    @XmlElement(name = "Weight", nillable = true)
    protected Integer weight;
    @XmlElement(name = "Wheelbase", nillable = true)
    protected Integer wheelbase;
    @XmlElement(name = "OverallLength", nillable = true)
    protected Integer overallLength;
    @XmlElement(name = "OverallHeight", nillable = true)
    protected Integer overallHeight;
    @XmlElement(name = "OverallWidth", nillable = true)
    protected Integer overallWidth;
    @XmlElement(name = "Payload", nillable = true)
    protected Integer payload;
    @XmlElement(name = "WheelbasePlus", nillable = true)
    protected Integer wheelbasePlus;
    @XmlElement(name = "FrontTyres", nillable = true)
    protected String frontTyres;
    @XmlElement(name = "RearTyres", nillable = true)
    protected String rearTyres;
    @XmlElement(name = "SuspensionType", nillable = true)
    protected String suspensionType;

    /**
     * Gets the value of the driveType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDriveType() {
        return driveType;
    }

    /**
     * Sets the value of the driveType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDriveType(String value) {
        this.driveType = value;
    }

    /**
     * Gets the value of the driveTypeID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDriveTypeID() {
        return driveTypeID;
    }

    /**
     * Sets the value of the driveTypeID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDriveTypeID(String value) {
        this.driveTypeID = value;
    }

    /**
     * Gets the value of the driveCodeOM property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDriveCodeOM() {
        return driveCodeOM;
    }

    /**
     * Sets the value of the driveCodeOM property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDriveCodeOM(String value) {
        this.driveCodeOM = value;
    }

    /**
     * Gets the value of the weight property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWeight() {
        return weight;
    }

    /**
     * Sets the value of the weight property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWeight(Integer value) {
        this.weight = value;
    }

    /**
     * Gets the value of the wheelbase property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWheelbase() {
        return wheelbase;
    }

    /**
     * Sets the value of the wheelbase property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWheelbase(Integer value) {
        this.wheelbase = value;
    }

    /**
     * Gets the value of the overallLength property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallLength() {
        return overallLength;
    }

    /**
     * Sets the value of the overallLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallLength(Integer value) {
        this.overallLength = value;
    }

    /**
     * Gets the value of the overallHeight property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallHeight() {
        return overallHeight;
    }

    /**
     * Sets the value of the overallHeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallHeight(Integer value) {
        this.overallHeight = value;
    }

    /**
     * Gets the value of the overallWidth property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallWidth() {
        return overallWidth;
    }

    /**
     * Sets the value of the overallWidth property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallWidth(Integer value) {
        this.overallWidth = value;
    }

    /**
     * Gets the value of the payload property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPayload() {
        return payload;
    }

    /**
     * Sets the value of the payload property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPayload(Integer value) {
        this.payload = value;
    }

    /**
     * Gets the value of the wheelbasePlus property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWheelbasePlus() {
        return wheelbasePlus;
    }

    /**
     * Sets the value of the wheelbasePlus property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWheelbasePlus(Integer value) {
        this.wheelbasePlus = value;
    }

    /**
     * Gets the value of the frontTyres property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFrontTyres() {
        return frontTyres;
    }

    /**
     * Sets the value of the frontTyres property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFrontTyres(String value) {
        this.frontTyres = value;
    }

    /**
     * Gets the value of the rearTyres property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRearTyres() {
        return rearTyres;
    }

    /**
     * Sets the value of the rearTyres property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRearTyres(String value) {
        this.rearTyres = value;
    }

    /**
     * Gets the value of the suspensionType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSuspensionType() {
        return suspensionType;
    }

    /**
     * Sets the value of the suspensionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSuspensionType(String value) {
        this.suspensionType = value;
    }

    public WSVehicleVariantType withDriveType(String value) {
        setDriveType(value);
        return this;
    }

    public WSVehicleVariantType withDriveTypeID(String value) {
        setDriveTypeID(value);
        return this;
    }

    public WSVehicleVariantType withDriveCodeOM(String value) {
        setDriveCodeOM(value);
        return this;
    }

    public WSVehicleVariantType withWeight(Integer value) {
        setWeight(value);
        return this;
    }

    public WSVehicleVariantType withWheelbase(Integer value) {
        setWheelbase(value);
        return this;
    }

    public WSVehicleVariantType withOverallLength(Integer value) {
        setOverallLength(value);
        return this;
    }

    public WSVehicleVariantType withOverallHeight(Integer value) {
        setOverallHeight(value);
        return this;
    }

    public WSVehicleVariantType withOverallWidth(Integer value) {
        setOverallWidth(value);
        return this;
    }

    public WSVehicleVariantType withPayload(Integer value) {
        setPayload(value);
        return this;
    }

    public WSVehicleVariantType withWheelbasePlus(Integer value) {
        setWheelbasePlus(value);
        return this;
    }

    public WSVehicleVariantType withFrontTyres(String value) {
        setFrontTyres(value);
        return this;
    }

    public WSVehicleVariantType withRearTyres(String value) {
        setRearTyres(value);
        return this;
    }

    public WSVehicleVariantType withSuspensionType(String value) {
        setSuspensionType(value);
        return this;
    }

}
